/** MOBILE ONLY **/
@media screen and (max-width: 640px) {
  .tableMore {
    padding-right: 0;
  }
}

/** MOBILE AND TABLET PORTRAIT **/
@media screen and (max-width: 768px) {
  .pageContainer {
    max-width: 100%;
  }

  .page {
    height: unset;
  }
  .introSection {
    grid-area: 1 / 1 / span 1 / span 24;
  }
  .eventLeft {
    grid-area: 2 / 1 / span 1 / span 24;
  }
  .eventRight {
    grid-area: 3 / 1 / span 1 / span 24;
    margin-top: -4rem;
  }
  .page3a {
    min-height: 0;
  }
  .page3a .eventLeft {
    grid-area: 1 / 1 / span 1 / span 24;
    margin-bottom: 4rem;
  }
  .page3a .eventRight {
    grid-area: 2 / 1 / span 1 / span 24;
    margin-bottom: 4rem;
  }
  .heading {
    font-size: clamp(4rem, 1.429rem + 7.143vw, 6rem);
  }
  .subtext {
    max-width: 100%;
  }
  .rocketSection {
    display: none;
  }
  .btn {
    font-size: clamp(1.6rem, 1.246rem + 0.983vw, 2rem);
  }
  .heading.training.desktop,
  .heading.online.desktop {
    display: none;
  }
  .heading.mobile {
    grid-area: 1 / 1 / span 1 / span 24;
  }
  .heading.mobile .heading.online {
    float: left;
  }
  .page3 .event {
    grid-area: 2 / 1 / span 1 / span 24;
  }
  .introSection.online {
    grid-area: 3 / 1 / span 1 / span 24;
  }

  .landingWrapper.desktop {
    display: none;
  }
  .landingWrapper.mobile {
    display: flex;
    width: 100vw;
    height: 100svh;
    margin: 0 auto;
    max-width: 600px;
    flex-direction: column;
    text-align: center;
    justify-content: center;
  }
  .heroMobileWrapper {
    display: block;
  }
  .heroMobile {
    width: clamp(22rem, 16.706rem + 14.706vw, 28rem);
    margin-top: 1.5rem;
    margin-bottom: 1rem;
  }
  .welcomeMobile {
    width: 134.5px;
    margin: 0 auto 2rem;
  }
  .abcMobile {
    width: 301px;
    margin: 0 auto;
  }

  .withMobile {
    width: 50.5px;
    margin: 0 auto 1.5rem;
  }
  .alMobile {
    width: 230.5px;
    margin: 0 auto;
  }
  .hand {
    max-width: 15px;
  }
  .event {
    max-width: 600px;
    margin: 0 auto;
  }
  .bg-cover {
    display: none;
  }

  .subscribe .btn {
    background-color: white;
    margin: 0 auto;
    margin-top: 2rem;
  }
}

@media screen and (max-width: 1023px) {
  .page1,
  .page1Overlay {
    height: 100vh;
    height: 100dvh;
  }
  .landingPageCreamTop {
    display: none;
  }
  .two-col-grid {
    max-width: 800px;
  }
  .introSection {
    grid-area: 1 / 1 / span 1 / span 24;
    margin: 0 auto;
  }
  .eventBg {
    margin: 4rem 0 4rem -4px;
  }
  .event {
    grid-area: 2 / 1 / span 1 / span 24;
    margin: 0 auto;
  }
  .heading {
    font-size: clamp(4rem, 1.429rem + 7.143vw, 6rem);
  }
  .subtext {
    max-width: 100%;
  }
  .rocketSection {
    display: none;
  }
  .btn {
    font-size: clamp(1.6rem, 1.246rem + 0.983vw, 2rem);
  }
  .heading.desktop {
    display: none;
  }
  .heading.mobile {
    grid-area: 1 / 1 / span 1 / span 24;
  }
  .heading.mobile .heading.online {
    float: left;
  }
  .page3 {
    padding: 0 2rem;
  }
  .page3 .event {
    grid-area: 2 / 1 / span 1 / span 24;
  }
  .introSection.online {
    grid-area: 3 / 1 / span 1 / span 24;
    margin-top: 2rem;
    padding-left: 0;
  }
  .landingWrapper.desktop {
    display: none;
  }
  .page3 .contactBtn {
    float: left;
    margin-top: 1rem;
  }

  .landingWrapper.mobile {
    display: flex;
    width: 100vw;
    height: 10svh;
    margin: 0 auto;
    max-width: 600px;
    flex-direction: column;
    text-align: center;
  }
  .heroMobileWrapper {
    display: block;
  }
  .heroMobile {
    width: clamp(22rem, 16.706rem + 14.706vw, 28rem);
    margin-top: 1.5rem;
    margin-bottom: 1rem;
  }
  .welcomeMobile {
    width: 134.5px;
    margin: 0 auto 2rem;
  }
  .abcMobile {
    width: 301px;
    margin: 0 auto;
  }

  .withMobile {
    width: 50.5px;
    margin: 0 auto 1.5rem;
  }
  .alMobile {
    width: 230.5px;
    margin: 0 auto;
  }
  .hand {
    max-width: 15px;
  }
  .page2 {
    padding: 4rem 2rem;
  }
  .heading.mobile {
    max-width: 800px;
    margin: 2rem 0;
  }
  .tutuSection {
    display: none;
  }
  .event.online {
    padding: 2rem;
    margin-left: auto;
    margin-right: auto;
    margin-left: auto;
    max-width: 560px;
  }
  .introSection.online .subtext {
    float: none;
    padding-left: 0;
    text-align: left;
    max-width: 800px;
  }
  .loginDetailsBtn {
    float: left;
    margin: 1rem 0;
  }
  .eytvButton {
    margin-top: 2rem;
  }

  .page3 {
    padding-bottom: 2rem;
  }
  .page4 {
    grid-template-rows: repeat(20, 1fr);
  }
  .outerWrapper {
    margin: 0 auto;
    max-width: 800px;
  }
  .bookTitleWrapper {
    grid-area: 2 / 1 / span 6 / span 24;
    max-width: 800px;
    margin: 0 auto;
  }
  .allBooksWrapper {
    grid-area: 15 / 1 / span 3 / span 24;
    margin: 0 auto;
  }
  .boyReading {
    display: none;
  }
  .page5 {
    padding: 0 2rem;
    background-color: var(--cream);
  }
  .outerWrapper {
    width: 100%;
  }
  .heading.booksTitle {
    margin-bottom: 2rem;
  }
  .page6 {
    height: auto;
    display: flex;
    padding: 4rem 2rem 4rem;
    margin-bottom: 0;
    background-color: var(--cream);
  }

  .page6 .subtext {
    max-width: 100%;
  }

  .page6 .two-col-grid {
    max-width: 100%;
    padding: 0;
    display: flex;
    flex-direction: column;
  }
  .introSection.about {
    display: block;
    max-width: 800px !important;
    margin: 0 auto !important;
  }

  .page6 .subtitle {
    margin-top: 1rem;
  }

  .introSection.about .heading {
    margin-bottom: 1rem;
  }

  .introSection.about .subtext p {
    margin-top: 2rem;
  }

  .introSection.about .subtext {
    max-width: 100%;
  }

  .photosWrapper {
    display: block;
    padding-top: 4rem;
    padding-bottom: 0;
  }
  .photos {
    height: auto;
  }
  .photo {
    height: auto;
    position: relative;
  }

  .page7 {
    display: none;
  }

  .eventTitle {
    margin-top: 1rem;
  }
  .introSection.video {
    margin-top: 300px;
    max-width: 800px;
  }
  .videoWrapper {
    margin: 2rem auto;
    width: 100%;
    text-align: center;
    width: fit-content;
  }
  iframe {
    max-width: 252px;
    max-height: 141.75px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    display: none;
  }

  lite-youtube {
    width: 252px;
    height: 141.75px;
  }

  .scrollWrapper {
    left: 2%;
    bottom: 2%;
  }
  .scrollText {
    margin-bottom: -5px;
    margin-left: 22px;
  }
  .scrollLine.desktop {
    display: none;
  }
  .scrollLine.mobile {
    max-width: 22px;
    margin-left: 4.8rem;
    margin-top: 0;
  }
  .three-col {
    flex-direction: column;
    margin-top: 6rem;
    text-align: center;
  }
  .connect,
  .contact,
  .subscribe {
    width: 100%;
    margin-bottom: 3rem;
  }
  .subscribe {
    margin-top: 2rem;
  }
  .btnSubscribe {
    margin: 0 auto;
  }
  .swiper {
    margin-left: 2rem !important;
    margin-top: 2rem !important;
  }
  .left {
    height: unset;
    width: 100%;
    padding-bottom: 4rem;
  }

  .right {
    width: 100%;
  }

  .page5 {
    flex-direction: column;
    padding: 4rem 2rem;
  }

  .photo1,
  .photo2,
  .photo3,
  .photo4 {
    margin-top: 0;
  }

  .right img {
    max-width: 220px;
  }

  .photoWrapper {
    height: unset;
    width: 100%;
    margin-bottom: 0;
  }

  .page3a .introSection .btn {
    margin-top: 4rem;
    margin-bottom: 4rem;
  }
  .page3b .eventLeft {
    grid-area: 1 / 1 / span 1 / span 24;
    margin-bottom: 6rem;
  }
  .page3b .eventRight {
    grid-area: 2 / 1 / span 1 / span 24;
  }
  .page3b .btn {
    margin-top: 4rem;
    margin-bottom: 4rem;
  }
  .postGirlSection {
    display: none;
  }
  .latestPosts {
    padding: 2rem;
  }
  .latestPosts h2 {
    margin-bottom: 2rem;
  }
  .page5Left {
    height: unset;
    width: 100%;
  }
  .page5Right {
    width: 100%;
    padding-top: 0;
    max-width: 100%;
    padding-bottom: 4rem;
  }
  .page5Content {
    flex-direction: column;
  }
}

/** tablet landscape **/
@media screen and (min-width: 768px) and (max-width: 1023px) {
  .landingWrapper.desktop {
    display: none;
  }
  .event {
    max-width: 600px;
  }
  .three-col {
    flex-direction: row;
    flex-wrap: wrap;
    margin-top: 6rem;
  }
  .connect,
  .contact {
    width: 50%;
  }
  .page3a {
    min-height: 0;
  }
  .page3a .eventLeft {
    grid-area: 1 / 1 / span 1 / span 24;
  }
  .page3a .eventRight {
    grid-area: 2 / 1 / span 1 / span 24;
  }
}

/** LAPTOP 1024 to 1280px **/

@media screen and (min-width: 1024px) and (max-width: 1280px) {
  .page3a .eventRight {
    grid-area: 1 / 13 / span 1 / span 11;
  }
  .tutuSection {
    grid-area: 1 / 10 / span 1 / span 5;
  }
  .bg-cover {
    display: none;
  }
  .postGirlSection {
    grid-area: 1 / 10 / span 1 / span 5;
  }
  .postGirl {
    max-width: 140px;
  }
}

/** LAPTOP & DESKTOP **/
@media screen and (min-width: 1024px) {
  .heading.mobile {
    display: none;
  }
  .landingWrapper.mobile {
    display: none;
  }
  .introSection.video.mobile {
    display: none;
  }
  .scrollLine.mobile {
    display: none;
  }
  .creamTopMobile {
    display: none;
  }
}
